Long URL Please Mod Version History

4 versions

Be careful with old versions!

These versions are displayed for reference and testing purposes. You should always use the latest version of an add-on.

Version 0.5.1.1-signed 8.2 kB Works with Firefox 2.0 and later

A memory leak bug was fixed in the original version. This fix as been applied to the mod too. This bug removes the "requery" feature on DOM change. As a result, if the DOM tree gets updated (i.e. via asynchronus AJAX calls, like twitter when you scroll down and more tweets get loaded) and the new content contains shorted URLs they won't be expanded anymore.

More information about it:
https://bugzilla.mozilla.org/show_bug.cgi?id=712733

Version 0.4.6.1-signed 8.2 kB Works with Firefox 2.0 and later

- Updated compatibility

Version 0.4.5.1-signed 8.2 kB Works with Firefox 2.0 and later

The only change in this release is to use a domain name instead of IP for resolving the URLs.

Users are strongly advised to update to this version as soon as possible, as I'm moving the server (which does the caching and resovling or URLs) and hence the IP will change.

After the moving is done, user running the old version of this addon won't be able to resolve any URLs anymore. However, this won't break any functionallity with the browser, you will just see the normal unshorted URLs as without the addon.

Version 0.4.3 9.2 kB Works with Firefox 2.0 - 3.6.*